Skip to main content
PUT
/
seller
/
listings
/
{id}
Update listing
curl --request PUT \
  --url https://api.managem.co.uk/seller/listings/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "condition": "<string>",
  "price": 123,
  "quantity": 1,
  "language": "<string>",
  "variants": [],
  "comment": "<string>",
  "gradingProvider": "<string>",
  "gradingScore": "<string>",
  "gradingNumber": "<string>",
  "hidden": false,
  "notes": "<string>"
}
'
{
  "id": "<string>",
  "sellerId": "<string>",
  "condition": "<string>",
  "price": 123,
  "language": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "item": {
    "urn": "<string>",
    "type": "card",
    "game": "Pokemon",
    "title": "<string>",
    "name": "<string>",
    "rarity": "<string>",
    "set": {
      "name": "<string>",
      "urn": "<string>",
      "counts": {
        "printed": 123,
        "total": 123
      },
      "references": [
        "<string>"
      ],
      "size": 123,
      "symbol": {
        "url": "<string>"
      },
      "released": "<string>"
    },
    "series": {
      "name": "<string>",
      "urn": "<string>"
    },
    "images": [
      {
        "urn": "<string>",
        "orientation": "portrait",
        "url": "<string>",
        "illustrator": "<string>"
      }
    ],
    "alternatives": [
      "<string>"
    ],
    "metadata": [
      {
        "name": "<string>",
        "value": "<string>",
        "detail": [
          "<unknown>"
        ]
      }
    ],
    "number": "<string>",
    "description": "<string>",
    "price": 123,
    "available": 0,
    "quantity": 0,
    "min": {
      "price": 123
    },
    "max": {
      "price": 123
    }
  },
  "seller": {
    "id": "<string>",
    "username": "<string>",
    "reviews": 123,
    "rating": 123,
    "score": 123,
    "sales": 123,
    "purchases": 123,
    "joined": "2023-11-07T05:31:56Z",
    "avatar": "<string>",
    "cover": "<string>",
    "profile": "<string>"
  },
  "locked": true,
  "valid": true,
  "hidden": true,
  "quantity": 1,
  "available": 0,
  "variants": [],
  "comment": "<string>",
  "gradingProvider": "<string>",
  "gradingScore": "<string>",
  "gradingNumber": "<string>",
  "attachments": [],
  "notes": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Listing ID

Body

application/json

Fields that can be updated on a listing

condition
string

Product condition

price
integer

Price in pence

quantity
integer
default:1

Total quantity for this listings

language
string

Languages of the card

variants
string[]

Variants of the listed card

comment
string | null

Seller's comment about the listing

gradingProvider
string | null

Provider responsible for grading the card

gradingScore
string | null

Score assigned to the card by the grading provider

gradingNumber
string | null

Certificate or registration number issued by the grading provider

hidden
boolean
default:false

True when the listing is hidden from buyers

notes
string | null

Private notes for the seller such as SKUs or storage locations

Maximum string length: 255

Response

Listing

id
string
required
sellerId
string
required
condition
string
required

Product condition

price
integer
required

Price in pence

language
string
required

Languages of the card

createdAt
required

Timestamp when the listing was created

updatedAt
required

Timestamp when the listing was last updated

item
object
required

Details of the item being listed

seller
object
required

Seller of the listing

locked
boolean
required

True when the listing has active item holds

valid
boolean
required

True when the listing meets all requirements

hidden
boolean
required

True when the listing is hidden from buyers

quantity
integer
default:1

Total quantity for this listings

available
integer
default:0

Total available for this listing

variants
string[]

Variants of the listed card

comment
string | null

Seller's comment about the listing

gradingProvider
string | null

Provider responsible for grading the card

gradingScore
string | null

Score assigned to the card by the grading provider

gradingNumber
string | null

Certificate or registration number issued by the grading provider

attachments
object[]

Image attachments for the listing

notes
string | null

Private notes for the seller such as SKUs or storage locations

Maximum string length: 255